org.apache.tinkerpop.gremlin.hadoop.structure.io

## Class HadoopPoolShimService

- java.lang.Object
- - org.apache.tinkerpop.gremlin.hadoop.structure.io.HadoopPoolShimService

- All Implemented Interfaces:
    KryoShimService

      public class HadoopPoolShimService
      extends Object
      implements KryoShimService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopPoolShimService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyConfiguration(Configuration conf)` Attempt to incorporate the supplied configuration in future read/write calls.
    `int` | `getPriority()` Returns this service's relative priority number.
    `Object` | `readClassAndObject(InputStream source)` Deserializes an object from an input stream.
    `void` | `writeClassAndObject(Object o, OutputStream sink)` Serializes an object to an output stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopPoolShimService

          public HadoopPoolShimService()

  - ### Method Detail

    - #### readClassAndObject

          public Object readClassAndObject(InputStream source)

      Description copied from interface: `KryoShimService`
      Deserializes an object from an input stream.
      Specified by:
        `readClassAndObject` in interface `KryoShimService`
      Parameters:
        `source` - the stream from which to read an object's serialized form
      Returns:
        the first deserialized object available from `source`

    - #### writeClassAndObject

          public void writeClassAndObject(Object o,
                                          OutputStream sink)

      Description copied from interface: `KryoShimService`
      Serializes an object to an output stream. This may flush the output stream.
      Specified by:
        `writeClassAndObject` in interface `KryoShimService`
      Parameters:
        `o` - the object to serialize
        `sink` - the stream into which the serialized object is written

    - #### getPriority

          public int getPriority()

      Description copied from interface: `KryoShimService`
      Returns this service's relative priority number. Unless explicitly overridden through a system property (`KryoShimServiceLoader.KRYO_SHIM_SERVICE`), the service implementation with the numerically highest priority will be used and all others ignored. In other words, the highest priority wins (in the absence of a system property override).

      TinkerPop's current default implementation uses priority value zero.

      Third-party implementations of this interface should (but are not technically required) to use a priority value with absolute value greater than 100.

      The implementation currently breaks priority ties by lexicographical comparison of fully-qualified package-and-classname, but this tie-breaking behavior should be considered undefined and subject to future change. Ties are ignored if the service is explicitly set through the system property mentioned above.

      Specified by:
        `getPriority` in interface `KryoShimService`
      Returns:
        this implementation's priority value

    - #### applyConfiguration

          public void applyConfiguration(Configuration conf)

      Description copied from interface: `KryoShimService`
      Attempt to incorporate the supplied configuration in future read/write calls.

      This method is a wart that exists essentially just to support the old `HadoopPools#initialize(Configuration)` use-case.

      This method is not guaranteed to have any effect on an instance of this interface after `KryoShimService.writeClassAndObject(Object, OutputStream)` or `KryoShimService.readClassAndObject(InputStream)` has been invoked on that particular instance.

      Specified by:
        `applyConfiguration` in interface `KryoShimService`
      Parameters:
        `conf` - the configuration to apply to this service's internal serializer

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.